package com.tofly.feesapi.cbgl.service;

import com.tofly.feesapi.bjgl.entity.dto.YhCbkxxSync;
import com.tofly.feesapi.cbgl.entity.ZnbCbLog;
import com.tofly.feesapi.cbgl.entity.dto.ReadResult;

import java.util.List;

/**
 * 厂家服务接口
 */
public interface CjService {

    /**
     * 抄表
     * @param sbbhs
     * @return
     */
    List<ReadResult> read(List<String> sbbhs);

    /**
     * 关阀
     *
     * @param qfList
     */
    void close(List<ZnbCbLog> qfList);

    /**
     * 同步智能表余额
     * @param znbCbLogs
     */
    void syncSyje(List<ZnbCbLog> znbCbLogs);

    /**
     * 同步表档案及用户档案到厂家平台
     * @return
     */
    void syncMeters(List<YhCbkxxSync> cbkxxList);
}
